
window.onload = function()
{
    //calls the change cards function
    changeCards();
    //calls the log out function
    logOut();
    //calls delete function
    deleteAccount();
    //calls the date validation function
    dateValidation();
    //calls the display player info function
    displayInfo();
};



$(document).ready(function(){
    //jquery to run with ajax - will only display four events until show more events is clicked
    //sets the number of events to four
    var eventNum = 4;
    //jquery to select the button with ID loadEventsButton
    $("#loadEventsButton").click(function(){
        //increments eventNum by four
        eventNum += 4;
        //uses ajax jquery method, sets the url to loadData.php and sets the method to POST, sets the variable updatedEventNum to the value of eventNum
        $.ajax({url: "loadData.php", method:"POST", data: {updatedEventNum: eventNum}, success: function(output)
        //if the method is successful, the data fetched from the database is displayed in the eventOutput div on the user profile page.  Else, there is an error messag
        {$("#eventOutput").html(output);},error: function(xhr){
        //error message
        alert("An error occured: " + xhr.status + " " + xhr.statusText);}});
    });

    //jquery to change the form on the userprofile depending on what button is clicked
    $("#addEventButton").click(function(){
        $("#formh3").html("<h3 class = text-center>Add Event</h3>");
        $("#eventForm").attr('action', 'addEventsAttended.php');
        $("#eventForm").html("Event Name: <input type= text name = eventName required> <br>Event Date: <input type= date id = dateInput name = eventDate required> <br>Event Location: <input type= text name = eventLocation required><br><div class = text-center text-white><button type = submit class = 'btn btn-dark' id = submitEventButton>Submit</button></div>");
    });

    $("#editEventButton").click(function(){
        $("#formh3").html("<h3 class = text-center>Edit Event</h3>");
        $("#eventForm").attr('action', 'editEventsAttended.php');
        $("#eventForm").html("Event Name: <input type= text name = eventName required> <br>Event Date: <input type= date id = dateInput name = eventDate required> <br>Event Location: <input type= text name = eventLocation required> <br>Updated Event Name: <input type= text name = newEventName required> <br>Updated Event Date: <input type= date id = dateInput name = newEventDate required> <br>Updated Location: <input type= text name = newEventLocation required> <br><div class = text-center text-white><button type = submit class = 'btn btn-dark' i' = submitEventButton>Submit</button></div>");
    });

    $("#deleteEventButton").click(function(){
        $("#formh3").html("<h3 class = text-center>Delete Event</h3>");
        $("#eventForm").attr('action', 'deleteEventsAttended.php');
        $("#eventForm").html("Event Name: <input type= text name = eventName required> <br>Event Date: <input type= date id = newDateInput name = eventDate required> <br>Event Location: <input type= text name = eventLocation required><br><div class = text-center text-white><button type = submit class = 'btn btn-dark' id = submitEventButton>Submit</button></div>");
    });
    //calls the date validation function for the events forms
    $("#dateInput").attr('max', dateValidation());
    $("#newDateInput").attr('max', dateValidation());

    //uses ajax to display information about team members from files
    $("#puppeyButton").click(function(){
        //new xmlhttprequest
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function(){
            if(xhttp.readyState == 4 && xhttp.status == 200)
            {
                //displays information from file
                document.getElementById("puppey").innerHTML = xhttp.responseText;
            }
        };
        //the text was generated by chatGPT
        xhttp.open("GET", "Puppey.txt", true);
        xhttp.send();
    })
    $("#jjonakButton").click(function(){
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function(){
            if(xhttp.readyState == 4 && xhttp.status == 200)
            {
                document.getElementById("jjonak").innerHTML = xhttp.responseText;
            }
        };
        //the text was generated by chatGPT
        xhttp.open("GET", "jjonak.txt", true);
        xhttp.send();
    })
    $("#peatieButton").click(function(){
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function(){
            if(xhttp.readyState == 4 && xhttp.status == 200)
            {
                document.getElementById("peatie").innerHTML = xhttp.responseText;
            }
        };
        //the text was generated by chatGPT
        xhttp.open("GET", "peatie.txt", true);
        xhttp.send();
    })
    $("#fakerButton").click(function(){
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function(){
            if(xhttp.readyState == 4 && xhttp.status == 200)
            {
                document.getElementById("faker").innerHTML = xhttp.responseText;
            }
        };
        //the text was generated by chatGPT
        xhttp.open("GET", "faker.txt", true);
        xhttp.send();
    })
});

//function to change the cards when the mouse is hovering over
function changeCards(){
    //selects all of the cards
    var cards = document.getElementsByClassName("card-img-top");
    //gets the number of cards in the site
    var numCards = cards.length;
    //loops for the number of cards
    for(var i = 0; i < numCards; i++)
    {
        //adds event listener to darken and raise the image when the mouse hovers over the image on the card
        cards[i].addEventListener("mouseover", function(){
            //changes the styles
            this.style.filter = "brightness(50%)";
            this.style.transform = "translate(0, -10px)";
        })
        //adds event listener to return the card image to normal when the mouse is not hovering over
        cards[i].addEventListener("mouseout", function(){
            //changes the styles
            this.style.filter = "brightness(100%)";
            this.style.transform = "translate(0, -0px)";
        })

    }
}

function logOut()
{
    //if logout link is clicked
    document.getElementById("logoutlink").onclick = function(){
        //if the user says they want to log out
        if(confirm("Are you sure you want to log out?"))
            {
                //sets the location to logout.php
                window.location.href = "logout.php";
                //displays success messsage
                alert("Successfully logged out");
                return true;
            }
            else{
                return false;
            }  
    }

    document.getElementById("logoutFooter").onclick = function(){
        if(confirm("Are you sure you want to log out?"))
            {
                window.location.href = "logout.php";
                alert("Successfully logged out");
                return true;
            }
            else{
                return false;
            } 
    }

}

function deleteAccount()
{
    //if the delete account button is clicked
    document.getElementById("deleteButton").onclick = function(){
        //uses js confirm method
        if(confirm("Are you sure want to delete your account? This change is permanent and cannot be undone"))
        {
            //uses confirm to make sure 
            if(confirm("Are you ABSOLUTELY sure want to delete your account?  Account will be deleted if you select yes"))
            {
                //redirects to deleteAccount.php
                window.location.href = "deleteAccount.php";
                //displays success message
                alert("Account Successfully Deleted")
                return true;
            }
            else{
                return false;
            }
        }
        else{
            return false;
        }
    }
}

function dateValidation()
{
    //gets new Date object
    var now = new Date();
    //gets the year
    var year = now.getFullYear();
    //one is added as months start at zero
    var month = now.getMonth()+1;
    if(month < 10)
    {
        //adds a 0 to the front
        month = "0"+month;
    }
    var day = now.getDate();
    if(day < 10)
    {
        //adds a 0 to the front
        day = "0"+day;
    }
    //concatenates the variables
    var currentDate = year + "-" + month + "-" + day;
    return currentDate;
}

function showStats()
{
    //new request
            var request = new XMLHttpRequest();
            request.onreadystatechange = function(){
                if(this.readyState == 4 && this.status == 200)
                {
                    //changes the inner html to information collected from the database using the getStats.php file
                    document.getElementById("playerStats").innerHTML = this.responseText;
                }
            };
            request.open("GET","getStats.php?q=",true);
            request.send();

}